D4Science Infrastructure - Task #12682

Add the CKAN Catalogue to the French Tropical Tuna Atlas VRE
Oct 12,2018 06:36 PM - Leonardo Candela

Status: Closed Start date: Oct 12, 2018
Priority: Normal Due date:

Assignee: Francesco Mangiacrapa % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

The French Tropical Tuna Atlas should be equipped with a CKAN Catalogue. The portlet is already there (visibility is set to false).
The BlueBRIDGE Catalogue should be used and a proper organization has to be created.

Such an organization should be populated by using the content of the specific GN instance. Thus an harvesting from GN is needed.

History

#1 - Oct 15, 2018 10:36 AM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Oct 15, 2018 10:49 AM - Roberto Cirillo
- Status changed from In Progress to Feedback
- Assignee changed from Roberto Cirillo to Francesco Mangiacrapa

- % Done changed from 0 to 80

Resources created. Please could you enable the view in the VRE and check?

#3 - Oct 15, 2018 11:04 AM - Francesco Mangiacrapa
- % Done changed from 80 to 90

The proper organization "French Tropical Tuna Atlas" has been created on the BB Catalogue and the view per VRE activated:
https://bluebridge.d4science.org/group/frenchtropicaltunaatlas/ckan-catalogue

I'm going to check the GN layers stored in the VRE /d4science.research-infrastructures.eu/gCubeApps/FrenchTropicalTunaAtlas and then create on
the Catalogue a dedicated harvesting for them from GN.

#4 - Oct 15, 2018 03:49 PM - Francesco Mangiacrapa
- % Done changed from 90 to 100

On the BB Catalogue, the harvesting of dedicated GN (http:/geonetwork-french-tunaatlas.d4science.org/geonetwork/) has been completed.
You can see the French Tropical Tuna Atlas's datasets at https://bluebridge.d4science.org/group/frenchtropicaltunaatlas/ckan-catalogue

Just a clarification, only the 71 datasets coming from french-tunaatlas GN have been harvested this because the Feature catalog ones (at

http://geonetwork-french-tunaatlas.d4science.org/geonetwork/srv/eng/catalog.search#/search?facet.q=type%2FfeatureCatalog that are 34 items) are
1ISO19110 and the catalogue is not able to harvest them (The catalogue is ISO19139 compliant only)

#5 - Oct 15, 2018 03:56 PM - Leonardo Candela
@francesco.mangiacrapa@isti.cnr.it what about the 43 services?
BTW the catalogue is working and "visible" to all VRE members.
#6 - Oct 15, 2018 04:54 PM - Francesco Mangiacrapa
Leonardo Candela wrote:

@francesco.mangiacrapa@isti.cnr.it what about the 43 services?
https://bluebridge.d4science.org/group/frenchtropicaltunaatlas/ckan-catalogue
http://geonetwork-french-tunaatlas.d4science.org/geonetwork/
https://bluebridge.d4science.org/group/frenchtropicaltunaatlas/ckan-catalogue
http://geonetwork-french-tunaatlas.d4science.org/geonetwork/srv/eng/catalog.search#/search?facet.q=type%2FfeatureCatalog

A plausible answer was provided by Emmanuel at https:/support.d4science.org/issues/9904#note-18

In the specific case, the 43 services are datasets (as ISOTC211/19115 Category) but they are also tagged as "Service" (on the GN) for the presence
of " Serviceldentification" metadata element

#7 - Nov 13, 2018 12:11 PM - Francesco Mangiacrapa
- Status changed from Feedback to Closed
